Bug 860952 - undefined method `with_indifferent_access' for #<Array:0x7f2bcbfc2440>
undefined method `with_indifferent_access' for #<Array:0x7f2bcbfc2440>
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Miroslav Suchý
Katello QA List
: Triaged
: 867140 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 03:49 EDT by Miroslav Suchý
Modified: 2013-09-19 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:09:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-09-27 03:49:04 EDT
Description of problem:
see steps to reproduce, we are very probably miss somewhere 
require 'active_support/core_ext/hash'

Version-Release number of selected component (if applicable):
katello-1.1.12-1.git.257.32bf70e.fc16.noarch

How reproducible:
alway

Steps to Reproduce:
1. /usr/share/katello/script/cli-tests/cli-system-test all
2. there is in "undefined method `with_indifferent_access' for #<Array:0x7f2bcbfc2440>" in /var/log/katello/client.log

2012-09-27 03:34:30,854 [ERROR][MainThread] main() @ base.py:418 - error: Successfully created provider [ yum_JedmRC96tIR5 ]
2012-09-27 03:34:43,701 [ERROR][MainThread] error() @ base.py:206 - error: undefined method `with_indifferent_access' for #<Array:0x7f2bcbfc2440>
2012-09-27 03:34:44,154 [ERROR][MainThread] main() @ base.py:418 - error: Successfully created changeset [ changeset_JedmRC96tIR5 ] for environment [ env_rhsm_JedmRC96tIR5 ]
Comment 2 Miroslav Suchý 2012-10-11 14:22:39 EDT
https://github.com/Katello/katello/pull/840
Comment 3 Miroslav Suchý 2012-10-12 06:25:23 EDT
Commit:
860952 - do not call with_indifferent_access on Array … 	3e34f2e
Comment 5 Ajmal Ali 2012-10-17 15:37:32 EDT
*** Bug 867140 has been marked as a duplicate of this bug. ***
Comment 6 Lukas Zapletal 2012-10-19 08:00:34 EDT
Backported into K 1.1

[KATELLO-1.1 34a63da] 860952 - update Pool::find to not treat response as an array
Comment 7 Mike McCune 2013-09-19 14:09:52 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.